/* Copyright 2019 Henning Marxen
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef L01_CONFIG_H
#define L01_CONFIG_H

#include "config_common.h"

#define VENDOR_ID       0x352E
#define PRODUCT_ID      0xFC6C
#define DEVICE_VER      0x0001
#define MANUFACTURER    PROTO_TYPE
#define PRODUCT         LO1
#define DESCRIPTION     65% Keyboard

#define MATRIX_ROWS 7
#define MATRIX_COLS 11
#undef MATRIX_ROW_PINS
#undef MATRIX_COL_PINS
#define MATRIX_ROW_PINS { C7, B0, F6, D0, F7, F5, F4 }
#define MATRIX_COL_PINS { D1, D7, B3, B4, B2, B1, B5, D6, D3, D5, D4 }

#define DIODE_DIRECTION COL2ROW

#define BACKLIGHT_PIN B6
#define BACKLIGHT_LEVELS 5
#define BACKLIGHT_BREATHING

#define RGB_DI_PIN D2
#define RGBLIGHT_ANIMATIONS
#define RGBLED_NUM 7
#define RGBLIGHT_SLEEP

#endif